index(3)

NAME
index, rindex - locate character in string

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <strings.h>

char *index(const char *s, int c);
char *rindex(const char *s, int c);

DESCRIPTION
The index() function returns a pointer to the first occurrence of the character c in the string s.

The rindex() function returns a pointer to the last occurrence of the character c in the string s.

The terminating null byte ('\0') is considered to be a part of the strings.

RETURN VALUE
The index() and rindex() functions return a pointer to the matched character or NULL if the character is not found.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
4.3BSD; marked as LEGACY in POSIX.1-2001. POSIX.1-2008 removes the specifications of index() and rindex(), recommending strchr(3) and strrchr(3) instead.

SEE ALSO
memchr(3), strchr(3), string(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)